package com.nasc.custom.domain;

import com.nasc.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 15:50
 * @Description: 远程桌面数据表
 * @return:
 */
public class NascVncDesktop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 远程桌面数据ID */
    private Long id;

    /** 桌面名称 */
    private String desktopName;

    /** IP地址信息 */
    private String vncIp;

    /** IP地址访问的端口信息 */
    private Integer vncPort;

    /** 用户名 */
    private String userName;

    /** 密码 */
    private String password;

    /** 排序号，数字越大排序越靠前 */
    private Long sortNum;

    /** 访问地址 **/
    private String path;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @NotBlank(message = "桌面名称不能为空")
    public String getDesktopName() {
        return desktopName;
    }

    public void setDesktopName(String desktopName) {
        this.desktopName = desktopName;
    }

    @NotBlank(message = "IP地址不能为空")
    public String getVncIp() {
        return vncIp;
    }

    public void setVncIp(String vncIp) {
        this.vncIp = vncIp;
    }

    public Integer getVncPort() {
        return vncPort;
    }

    public void setVncPort(Integer vncPort) {
        this.vncPort = vncPort;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getSortNum() {
        return sortNum;
    }

    public void setSortNum(Long sortNum) {
        this.sortNum = sortNum;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
}
